import "scaling.asy" as scaling;

int TRAVELER = 7;
int KNIGHT = 8;
int WIZARD = 9;
int NOBLE = 10;

path numerals[][] = { {} };

path onearc = arc((0,height*0.4), height*0.1, 0, 180);
path[] one = { onearc--(rotate(180)*onearc)--cycle };
numerals.push(one);

path[] two = { shift(width/4, 0)*one[0], shift(-width/4, 0)*one[0] };
numerals.push(two);

path[] three;
numerals.push(three);

path[] four;
numerals.push(four);

path[] five = { (0,-height*0.3)---(width*0.45,height/2)..(width/2, height*0.45)---(height*0.1, -height*0.45)..(-height*0.1, -height*0.45)---(-width/2, height*0.45)..(-width*0.45,height/2)--cycle };
numerals.push(five);

path[] six;
numerals.push(six);

path[] traveler;
numerals.push(traveler);

path[] knight;
numerals.push(knight);

path[] wizard;
numerals.push(wizard);

// Is this even the same across suits? or is it like, *C*ount of Cards, *Q*ueen of Puppets, ??? of Bread, etc?
path[] noble;
numerals.push(noble);
